#!/usr/bin/perl

use strict;

my $nas_fs="nas_fs -query:inuse=y:type=uxfs:isroot=false -fields:ServersNumeric,Id,Name,SizeValues -format:'%s,%s,%s,%sQQQQQQ'";

my @data;

open (OUTPUT, ">> create_filesystems_$$.sh") || die "cant open output: $!\n\n";
open (CMD, "$nas_fs |") || die "cant open $nas_fs: $!\n\n";
while (<CMD>)
{
   chomp;
   @data = split("QQQQQQ", $_);
}
close(CMD);

foreach (@data)
{
   my ($dm, $id, $dir,$size,$free,$used_per, $inodes) = split(",", $_);
   print OUTPUT "mkdir /ifs/$dir\n";
   print OUTPUT "chmod 755 /ifs/$dir\n";
   print OUTPUT "isi quota create --directory --path=\"/ifs/$dir\" --enforcement --hard-threshold=\"${size}M\" --container=1\n";
}
